Bug 974122 - tries to enable swap when changing runlevel
tries to enable swap when changing runlevel
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 09:10 EDT by udo
Modified: 2013-12-08 22:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-08 19:53:12 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description udo 2013-06-13 09:10:55 EDT
Description of problem: tries to enable swap when changing runlevel


Version-Release number of selected component (if applicable):
systemd-44-24.fc17.x86_64

How reproducible:
(start in gui)
init 3
do something
init 5
check messages


Actual results:
Jun 12 18:43:15 box swapon[2051]: swapon: /dev/dm-10: swapon failed: Device or resource busy
Jun 12 18:43:15 box systemd[1]: dev-dm\x2d10.swap swap process exited, code=exited status=255
Jun 12 18:43:15 box systemd[1]: Unit dev-dm\x2d10.swap entered failed state.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapd.device/start timed out.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapd.swap/start failed with result 'dependency'.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapd.device/start failed with result 'timeout'.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapb.device/start timed out.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapb.swap/start failed with result 'dependency'.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapb.device/start failed with result 'timeout'.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapa.device/start timed out.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapa.swap/start failed with result 'dependency'.
Jun 12 18:44:44 box systemd[1]: Job dev-mapper-swapa.device/start failed with result 'timeout'.
Jun 13 04:37:32 box swapon[1209]: swapon: /dev/dm-10: swapon failed: Device or resource busy
Jun 13 04:37:32 box systemd[1]: dev-dm\x2d10.swap swap process exited, code=exited status=255
Jun 13 04:37:32 box systemd[1]: Unit dev-dm\x2d10.swap entered failed state.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapd.device/start timed out.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapd.swap/start failed with result 'dependency'.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapd.device/start failed with result 'timeout'.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapb.device/start timed out.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapb.swap/start failed with result 'dependency'.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapb.device/start failed with result 'timeout'.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapa.device/start timed out.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapa.swap/start failed with result 'dependency'.
Jun 13 04:39:02 box systemd[1]: Job dev-mapper-swapa.device/start failed with result 'timeout'.
Jun 13 05:06:52 box swapon[2897]: swapon: /dev/dm-10: swapon failed: Device or resource busy
Jun 13 05:06:52 box systemd[1]: dev-dm\x2d10.swap swap process exited, code=exited status=255
Jun 13 05:06:52 box systemd[1]: Unit dev-dm\x2d10.swap entered failed state.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapd.device/start timed out.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapd.swap/start failed with result 'dependency'.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapd.device/start failed with result 'timeout'.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapb.device/start timed out.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapb.swap/start failed with result 'dependency'.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapb.device/start failed with result 'timeout'.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapa.device/start timed out.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapa.swap/start failed with result 'dependency'.
Jun 13 05:08:22 box systemd[1]: Job dev-mapper-swapa.device/start failed with result 'timeout'.
Jun 13 15:02:36 box swapon[13106]: swapon: /dev/dm-10: swapon failed: Device or resource busy
Jun 13 15:02:36 box systemd[1]: dev-dm\x2d10.swap swap process exited, code=exited status=255
Jun 13 15:02:36 box systemd[1]: Unit dev-dm\x2d10.swap entered failed state.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapd.device/start timed out.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapd.swap/start failed with result 'dependency'.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapd.device/start failed with result 'timeout'.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapb.device/start timed out.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapb.swap/start failed with result 'dependency'.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapb.device/start failed with result 'timeout'.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapa.device/start timed out.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapa.swap/start failed with result 'dependency'.
Jun 13 15:04:06 box systemd[1]: Job dev-mapper-swapa.device/start failed with result 'timeout'.


Expected results:
No messages about swap


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 23:36:39 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 udo 2013-07-04 09:09:05 EDT
Loads of bugzilla emails won't help.
Comment 3 Zbigniew Jędrzejewski-Szmek 2013-12-08 19:51:11 EST
This should be fixed in http://cgit.freedesktop.org/systemd/systemd/commit/?id=9670d58. Unfortunately it won't be easy to backport.
Comment 4 Zbigniew Jędrzejewski-Szmek 2013-12-08 19:53:12 EST
Hm, since this is for F18, it certainly won't be backported. Sorry.
Comment 5 udo 2013-12-08 22:43:40 EST
We are on fc19 and the original bug is from fc17.
So what backporting?
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-12-08 22:47:35 EST
The fix was applied in systemd-208+ and is pretty invasive. Somebody might port it for systemd-208 in F20, or even for systemd-204 in F19, and I'm not going ot work on a fix for F18. There's just too many bugs of higher priority.

Note You need to log in before you can comment on or make changes to this bug.